Online Werkzeugkompensation (C20)

1.1 EinleitungPAGEREF _Toc306705725 \h2

1.2 Beschreibung 3

1.2.1 Befehlssyntax 3

1.2.2 Verschleißkompensation des Werkzeugradius 5

1.2.3 Verschleißkompensation der Werkzeuglänge 6

1.2.3.1 Schrägstehende Schleifscheibe 7

1.2.4 Spezielle Einstellungen in den Werkzeugdaten 8

1.2.5 Anbindung an PLC 9

1.2.5.1 Beauftragung - Verschleiss des Radius 9

1.2.5.2 Beauftragung - Verschleiss in Achsrichtung 9

1.2.6 Spezielle V.G.WZ_AKT-Variablen 10

1.2.7 Anbindung an externe Werkzeugverwaltung 11

1.3 Parameter 13

1.3.1 Übersicht 13

1.3.2 Beschreibung 13

Mehr:

button Einleitung

button Beschreibung

button Parameter


Einleitung

Aufgabe

Bei bestimmtem Verfahren, wie zum Beispiel dem Schleifen, ist es erforderlich, dass permanent der Werkzeugdurchmesser oder die Werkzeuglänge entsprechend dem Verschleiß des Werkzeuges korrigiert werden.

Die Verschleißkompensation ist vom zurückgelegten Weg abhängig. Zusätzlich kann die Zustellung auch durch die PLC beeinflußt werden.

Die Verschleißkompensation wird aus dem NC-Programm aktiviert und deaktiviert. Die Parametrierung der Verschleißkonstante ist sowohl aus dem NC-Programm als auch über voreingestellte Parameter in der Werkzeugliste [TOOL] möglich.

Eilgangssätze sind verschleißfrei.

Es wird voraussgesetzt, dass die gesamte Breite der Mantelfläche einer Schleifscheibe im Eingriff ist.

Abbildung 1-1: Schleifen einer Kontur


Beschreibung

Werkzeugtyp

Betriebsarten

Modi

Für die Verschleißkompensation wird der neue Werkzeugtyp 2 (Schleifwerkzeug) eingeführt.

Die Online-Verschleißkompensation kann in zwei Betriebsarten und jeweils drei unterschiedlichen Modi betrieben werden.

1. Radiuskompensation (nur in Verbindung mit aktiver WRK) zur Bearbeitung von Konturen in der Ebene

2. Längenkompensation zur Bearbeitung von Oberflächen (Planschleifen)

1. Kontinuierlich (abhängig vom zurückgelegten Weg

2. Diskret (diskrete Verschleißkorrekturen via PLC)

3. Automatisch, Addition von diskret und kontinuierlich

Additive Verschleißwerte, die über die PLC beauftragt werden, werden über mehrere Takte ausgefahren.

Mehr:

button Befehlssyntax

button Verschleißkompensation des Werkzeugradius

button Verschleißkompensation der Werkzeuglänge

button Spezielle Einstellungen in den Werkzeugdaten

button Anbindung an PLC

button Spezielle V.G.WZ_AKT-Variablen

button Anbindung an externe Werkzeugverwaltung


Befehlssyntax

Für die Programmierung der Online-Werkzeugkorrektur im NC-Programm steht folgender NC-Befehl zur Verfügung:

Aktivieren/Deaktivieren und Parametrierung (optional):

#OTC ON | OFF [ [RADIUS | LENGTHDISC | CONT | AUTO

WEAR_CONST <expr> | WEAR_CONST_TOOL] ]

RADIUS | Betriebsart Radiuskompensation
LENGTH | Betriebsart Längenkompensation (Default)
DISC | Mode - Diskret : Eingabe nur über PLC, externe Vorgabe
CONT | Mode - Kontinuierlich: Vorgabe der Werte nur aus Berechnung des zurückgelegten Weges und der Verschleißkonstante, interne Berechnung
AUTO | Mode - Automatisch: Addition von externer Vorgabe und interner Berechnung (Default)
WEAR_CONST<expr> | Anwenderspezifische Definition der Verschleißkonstante; Wirkt modal, d.h. mit #OTC ON wirkt nicht die in den aktuellen Werkzeugdaten festgelegte Defaultverschleißkonstante, sondern der programmierte Wert. Die Festlegung der gültigen Verschleißkonstante ist optional.
WEAR_CONST_TOOL | Umschalten auf die in den aktuellen Werkzeugdaten festgelegte Defaultverschleißkonstante; Wirkt modal, d.h. mit #OTC ON wirkt nicht eine anwenderspezifische Definition der Verschleißkonstante, sondern die in den aktuellen Werkzeugdaten festgelegte Defaultverschleißkonstante (Default).


Verschleißkompensation des Werkzeugradius

Schleifen einer
Kontur

Die Verschleißkompensation des Werkzeugradius (Radiuskompensation) ist vorzugsweise dann zu verwenden, wenn eine Kontur mit gleichzeitiger Werkzeugradiuskorrektur geschliffen werden soll.

Der Verschleiß der Schleifscheibe kann in Richtung des Scheibenradius kontinuierlich oder diskret kompensiert werden.

In der Betriebsart Radiuskompensation wird der Verschleiß nur bei aktiver Werkzeugradiuskompensation (WRK) berücksichtigt.

In nachfolgender Abbildung wird der Verschleiß des Werkzeugradius veranschaulicht.

Abbildung 1-2: Verschleißkompensation des Werkzeugradius

Die Anfahrbewegung zur äquidistanten Bahn nach Anwahl der WRK (G41/G42) wird als verschleißfrei betrachtet.

Die Bewegung nach Abwahl der WRK (G40) ist ebenfalls verschleißfrei.

Die An-/Abwahl der WRK muß bei aktiver Radiuskompensation erfolgen!

Programmierbeispiel

...

N10 F10000

N20 D1 (Anwahl Datensatz für Schleifscheibe)

N30 G0 X0 Y0 Z0

N40 #OTC[RADIUS, AUTO] (OTC-Betriebsart + Mode festlegen)

N50 #OTC ON (OTC-Anwahl)

N60 G41 G01 X50 (WRK-Anwahl, verschleißfreie Bewegung)

N70 X1000

N80 G40 X50 (WRK-Abwahl)

N90 #OTC OFF (OTC-Abwahl)

N100 G00 X50

...


Verschleißkompensation der Werkzeuglänge

Schleifen einer
Fläche

Bei der Kompensation der Werkzeuglänge (Längenkompensation) wird der Verschleiß in Richtung der 3. Hauptachse kompensiert. Dies kann sowohl kontinuierlich als auch diskret erfolgen. Dieses Verfahren findet insbesondere bei der Bearbeitung von Flächen (Planschleifen) Verwendung.

Abbildung 1-3: Verschleißkompensation der Werkzeuglänge

Programmierbeispiel

...

N30 D1 (Anwahl Datensatz für Schleifscheibe)

N40 G00 X0 Y0 Z0

N50 #OTC ON [LENGTH] (OTC-Anwahl)

N60 G1 X1000 F10000

N70 #OTC OFF (OTC-Abwahl)

...

Mehr:

button Schrägstehende Schleifscheibe


Schrägstehende Schleifscheibe

Schräges Schleifen

Das Schrägstellen der Schleifscheibe über den entsprechenden Eintrag in der Werkzeugliste (P-TOOL-00032) ist nur dann sinnvoll, wenn damit schräge Flächen geschliffen werden sollen und die gesamte Mantelfläche der Schleifscheibe bei Bearbeitung im Eingriff ist.

Im nachfolgenden Bild wird am Beispiel der G17 Ebene die Kipprichtung des Neigungswinkels veranschaulicht.

Abbildung 1-4: Schrägstehende Schleifscheibe

Mit dem Scheibenneigungswinkel wird die Werkzeugorientierung bestimmt. Über diese Werkzeugorientierung wird dann der entstandene Verschleiß anteilsmäßig auf die Hauptachsen beaufschlagt.


Spezielle Einstellungen in den Werkzeugdaten

Definition des Werkzeugtyps und der Verschleißparameter:

wz[1].gueltig 1

wz[1].typ 2 Schleifwerkzeug

wz[1].mass_einheit 0

wz[1].laenge 500000

wz[1].radius 300000

wz[1].ax_versatz[0] 0

wz[1].ax_versatz[1] 0

wz[1].ax_versatz[2] 0

...

# Verschleißkonstante : Einheit 0.1µm/m

wz[1].grinding_wear_const 100000

# Max. beauftragb. diskreter Sprung über PLC, Einheit: 0.1µm

wz[1].grinding_max_infeed 200000

# Scheibenneigungswinkel, Einheit: 0.0001 Grad

wz[1].grinding_disc_tilt_angle 0


Anbindung an PLC

Mehr:

button Beauftragung - Verschleiss des Radius

button Beauftragung - Verschleiss in Achsrichtung


Beauftragung - Verschleiss des Radius

OTC Radius Offset
Beschreibung | Durch Setzen dieses Verschleißoffsets kann der Werkzeugradius entsprechend dem Verschleiß angepasst werden. Einheit: 0.1µm
Datentyp | MCControlSGN32Unit
Besonderheiten | Der Verschleißoffset wird in der CNC nicht in einem Takt ausgegeben, sondern er wird über mehrere Takte ausgefahren.
Zugriff | PLC liest Request + State und schreibt Command + Enable
ST-Pfad | pMC[channel_idx]^.addr^.McControlIpo.MCControlSGN32Unit_OTCRadiusOffset
Kommandierter, angeforderter und Rückgabewert
ST-Element | .X_Command .X_Request . X_State
Datentyp | DINT
Wertebereich | [- P-TOOL-00031 , P-TOOL-00031 ]
Umleitung
ST-Element | . X_Enable


Beauftragung - Verschleiss in Achsrichtung

OTC Offset
Beschreibung | Durch Setzen dieses Verschleißoffsets kann der Verschleiss in Richtung dieser Achse korrigiert werden. Einheit: 0.1µm
Datentyp | MCControlSGN32Unit
Besonderheiten | Der Verschleißoffset wird durch die CNC über mehrere Takte ausgefahren.
Zugriff | PLC liest Request + State und schreibt Command + Enable
ST-Pfad | pAC[axis_idx]^.addr^.McControlIpo.MCControlSGN32Unit_OTCOffset
Kommandierter, angeforderter und Rückgabewert
ST-Element | . X_Command .X_Request .X_State
Datentyp | DINT
Wertebereich | [-P-TOOL-00031, P-TOOL-00031]
Umleitung
ST-Element | .X_Enable


Spezielle V.G.WZ_AKT-Variablen

Der Verschleiß des aktuell gültigen Werkzeugs kann nach der Bearbeitung über die folgenden Variablen ausgelesen werden.

Bei Betriebsart Radiuskompensation:

V.G.WZ_AKT.WEAR_RADIUS (Radiusverschleiß)

Bei Betriebsart Längenkompensation:

V.G.WZ_AKT.WEAR[<i>] (Verschleiß in Achse <i>)

Der aktuelle Verschleißwert steht nach der Abwahl der OTC zur Verfügung. Es handelt sich dabei um den Verschleiß, der zwischen Anwahl und Abwahl der OTC entstanden ist.

Bei mehrfacher An- und Abwahl der OTC im NC-Programm enthalten die obigen Variablen den kumulierten Verschleiß!

Während aktiver OTC sind die V.G.WZ_AKT-Verschleißwerte nicht aktuell, sie werden erst nach Abwahl der OTC (#OTC OFF) aktualisiert!


Anbindung an externe Werkzeugverwaltung

Werkzeugdaten

Die externe Werkzeugverwaltung muß der CNC beim Einwechseln eines Schleifwerkzeuges die folgenden Werte bereitstellen:

· typ: Werkzeugtyp 2 für Schleifwerkzeug

· wear_const: Verschleißkonstante

· disc_tilt_angle: Scheibenneigungswinkel

· ext_discret_limit: Maximale diskrete Zustellung über die PLC

Beim Auswechseln des Werkzeugs wird der externen Werkzeugverwaltung der Verschleiß durch die CNC mitgeteilt.

Es handelt sich dabei um den Gesamtverschleiß, der seit der Einwechslung des Werkzeugs entstanden ist. Diese Werte müssen von der externen Werkzeugverwaltung übernommen und entsprechend in die Geometriedaten des Werkzeugs (Radius, Länge) eingerechnet werden.


Parameter

Mehr:

button Übersicht

button Beschreibung


Übersicht

ID | Parameter | Beschreibung
P-TOOL-00001 | typ | Werkzeugtyp
P-TOOL-00030 | grinding_wear_const | Verschleißkonstante
P-TOOL-00031 | grinding_max_infeed | Maximale diskrete Zustellung
P-TOOL-00032 | grinding_tilt_angle | Neigungswinkel der Schleifscheibe

P-TOOL-00033 | grinding_disc_min_radius | Mindestradius der Schleifscheibe
P-TOOL-00034 | grinding_disc_min_width | Mindestbreite der Schleifscheibe

Die Parameter P-TOOL-00033 und P-TOOL-00034 für die Überwachung der Schleifscheibe werden zur Zeit nicht verwendet.


Beschreibung

P-TOOL-00001 | Werkzeugtyp
Parameter | typ
Beschreibung | Zur Unterscheidung von Fräs- ,Dreh- und Schleifwerkzeugen wird der Parameter "wz[i].typ" belegt: 0 - Fräswerkzeug 1  Drehwerkzeug 2 - Schleifwerkzeug
Datentyp | UNS16
Datenbereich | 0 ≤ P-TOOL-00001 ≤ 2
Dimension | translatorisch:- | rotatorisch:-
Standardwert | 0
Anmerkungen | -

P-TOOL-00030 | Verschleißkonstante
Parameter | grinding_wear_const
Beschreibung | Die Verschleißkonstante wird zur kontinuierlichen Ermittlung des Verschleißes verwendet. Sie kann alternativ auch im NC-Programm programmiert werden.
Datentyp | REAL64
Datenbereich | 0 ≤ P-TOOL-00030
Dimension | translatorisch: 0,1µm /m | rotatorisch:-
Standardwert | 0
Anmerkungen | Die Verschleißkonstante sollte relativ kleine Werte haben, da keine spezielle dynamische Betrachtung aufgrund des entstandenen Verschleißes durchgeführt wird.

P-TOOL-00031 | Maximale diskrete Zustellung
Parameter | grinding_max_infeed
Beschreibung | Die maximale diskrete Zustellung legt die maximale relative Änderung fest, die über die PLC beauftragt werden kann.
Datentyp | REAL64
Datenbereich | MIN(SGN32) ≤ P-TOOL-00031 ≤ MAX(SGN32)
Dimension | translatorisch: 0.1 µm | rotatorisch: -
Standardwert | 0
Anmerkungen | -

P-TOOL-00032 | Neigungswinkel der Schleifscheibe
Parameter | grinding_tilt_angle
Beschreibung | Winkel zwischen der Mittelachse der Schleifscheibe und der 3.Hauptachse.
Datentyp | REAL64
Datenbereich | -45°≤ P-TOOL-00032 ≤ 45°
Dimension | translatorisch:- | rotatorisch:0,0001°
Standardwert | 0
Anmerkungen | -

P-TOOL-00033 | Mindestradius der Schleifscheibe
Parameter | grinding_disc_min_radius
Beschreibung | Mindestradius der Schleifscheibe. Dieser Parameter dient zur Überwachung des Schleifscheibenradius
Datentyp | REAL64
Datenbereich | 0 < grinding_disc_min_radius ≤ MAX(SGN32)
Dimension | translatorisch: 0,1µm | rotatorisch:-
Standardwert | -
Anmerkungen | Dieser Parameter wird zur Zeit nicht verwendet.

P-TOOL-00034 | Mindestbreite der Schleifscheibe
Parameter | grinding_disc_min_width
Beschreibung | Mindestbreite der Schleifscheibe. Dieser Parameter dient zur Überwachung der Schleifscheibebreite.
Datentyp | REAL64
Datenbereich | 0 < grinding_disc_min_width ≤ MAX(SGN32)
Dimension | translatorisch: 0,1µm | rotatorisch:-
Standardwert | -
Anmerkungen | Dieser Parameter wird zur Zeit nicht verwendet.